Generic Ubuntu Desktop Post-Install Checklist
08/28/2014 08:16 AM - Daniel Curtis

Status: Closed Start date: 08/28/2014
Priority: Low Due date:

Assignee: william carinio % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 2.00 hours
Description

Ubuntu is currently the most popular flavor of Linux, based heavily off of Debian. It has a huge community, lots of support from
developers, and is a suitable platform for both workstation and server. With a Long-Term Support version every other major version,
offering 5 years of support at no cost.

Start by opening a Terminal

Overview

A few applications are necessary for a functional developer computer complete with an office suite, web browser, media player,
development tools, and few extra goodies. Here are a few, more to come:

Setup Third-Party PPA repositories

e VirtualBox PPA

sudo apt-add-repository ppa:debfx/virtualbox
o KeePass2 PPA

sudo apt-add-repository ppa:jtaylor/keepass
e | atest HandBrake PPA

sudo apt-add-repository ppa:stebbins/handbrake-releases
® Latest GIMP PPA

sudo apt-add-repository ppa:otto-kesselgulasch/gimp
* Android adb & fastboot PPA

sudo add-apt-repository ppa:nilarimogard/webupd8
* Android SDK

sudo add-apt-repository ppa:upubuntu-com/sdk

e ownCloud Client Repo
wget http://download.opensuse.org/repositories/isv:ownCloud:desktop/xUbuntu_14.04/Release.key
sudo apt-key add - < Release.key

sudo sh —-c "echo 'deb http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/xUbuntu
_14.04/ /' >> /etc/apt/sources.list.d/owncloud-client.list"

sudo apt-get update

sudo apt-get install owncloud-client

Refresh the software manager cache
sudo apt-get update
The following command will install:

HandBrake: The ultimate video conversion program

VirtualBox w/ Guest Additions: Virtual computing software
LibreOffice: Office suite

TrueCrypt: High-grade encryption tool

Windows Network Browsing: For connecting to Windows shares
¢ Firefox: Web browser

e Thunderbird: Mail client

Pidgin: Instant messaging client

Chromium: Open Source Chrome web

BleachBit: Browser, mail, application cleaning application

GIMP: Image editing

Filezilla: FTP/SFTP Client

git: Source code management

KeePass2: Password management

VLC: Media player

Flash: Closed source media and content plugin

Restricted codecs: Closed source audio and video codecs, i.e .mp3
Arduino: Arduino Integrated Development Environment

Fritzing: Prototyping software

sudo apt-get install netflix-desktop virtualbox virtualbox—-guest-additions-iso libreoffice tru
ecrypt bleachbit nautilus-share samba firefox thunderbird pidgin pidgin-otr gimp gimp-data-ext
ras gimp-help-en filezilla git-core keepass2 ubuntu-restricted-extras vlc chromium-browser and
roid-tools-adb android-tools-fastboot android-sdk arduino fritzing libgt4-sgl-sglite handbrake
—gtk kdenlive k3b openshot nmap wireshark geany remmina calibre owncloud-client

Related issues:
Copied to GNU/Linux Administration - Support #631: GNet Developer Ubuntu Work... Closed 08/28/2014

History

#1 - 08/28/2014 09:28 AM - Daniel Curtis

- Description updated

#2 - 08/28/2014 11:55 AM - Daniel Curtis

- Description updated

#3 - 08/28/2014 12:27 PM - Daniel Curtis

- Description updated

#4 - 08/28/2014 12:27 PM - Daniel Curtis
- Description updated

- % Done changed from 50 to 80

#5 - 08/28/2014 02:56 PM - Daniel Curtis

- Assignee changed from Daniel Curtis to william carinio
#6 - 08/28/2014 02:59 PM - william carinio
- Status changed from Resolved to Closed

- % Done changed from 80 to 100
Didnt need netflix or truecrypt.

#7 - 06/25/2015 11:24 AM - Daniel Curtis
- Copied to Support #631: GNet Developer Ubuntu Workstation added
